
#######################################################################
# VIC Model Parameters - 4.0.x
# RCS ID $Id: global.param.sample,v 1.1.2.9 2007/02/06 01:02:21 vicadmin Exp $
#######################################################################

#######################################################################
# Simulation Parameters
#######################################################################
TIME_STEP 	24	# model time step in hours (set to 24 if FULL_ENERGY = FALSE, set to < 24 if FULL_ENERGY = TRUE)
SNOW_STEP	1	# time step in hours for which to solve the snow model (should = TIME_STEP if TIME_STEP < 24)
STARTYEAR	1915	# year model simulation starts
STARTMONTH	01	# month model simulation starts
STARTDAY	01 	# day model simulation starts
STARTHOUR	00	# hour model simulation starts
ENDYEAR 	2006	# year model simulation ends
ENDMONTH	12	# month model simulation ends
ENDDAY		31	# day model simulation ends
FULL_ENERGY 	FALSE	# TRUE = calculate full energy balance; FALSE = compute water balance only
FROZEN_SOIL	FALSE	# TRUE = calculate frozen soils
QUICK_FLUX	FALSE	# TRUE = use simplified ground heat flux method of Liang et al (1999); 
			# FALSE = use finite element method of Cherkauer et al (1999)
NO_FLUX		FALSE	# TRUE = use no flux lower boundary for ground heat flux computation;
			# FALSE = use constant flux lower boundary condition.
			# If NO_FLUX = TRUE, QUICK_FLUX MUST = FALSE
DIST_PRCP	FALSE	# TRUE = use distributed precipitation
CORRPREC	FALSE	# TRUE = correct precipitation for gauge undercatch
MIN_WIND_SPEED	0.1	# minimum allowable wind speed (m/s)
PREC_EXPT	0.6	# exponent for use in distributed precipitation eqn (only used if DIST_PRCP is TRUE)
MAX_SNOW_TEMP	0.5	# maximum temperature (C) at which snow can fall
MIN_RAIN_TEMP	-0.5	# minimum temperature (C) at which rain can fall
PADJ		0.580554

#######################################################################
# State Files and  Parameters
#######################################################################
#INIT_STATE	(put the initial state path/filename here)	# Initial state path/file
#STATENAME	(put the path/prefix of output state file here)	# Output state file path/prefix.  
			# The date (STATEYEAR,STATEMONTH,STATEDAY) will be appended to the prefix
			# automatically in the format yyyymmdd.
#STATEYEAR	2000	# year to save model state
#STATEMONTH	12	# month to save model state
#STATEDAY	31	# day to save model state
#BINARY_STATE_FILE       FALSE	# TRUE if state file should be binary format; FALSE if ascii

#######################################################################
# Forcing Files and Parameters
#
#       All FORCING filenames are actually the pathname, and prefix
#               for gridded data types: ex. DATA/forcing_
#               Latitude and longitude index suffix is added by VIC
#
#	There must be 1 FORCE_TYPE entry for each variable (column) in the forcing file
#
#	If FORCE_TYPE is BINARY, each FORCE_TYPE must be followed by:
#			SIGNED/UNSIGNED	SCALE_FACTOR
#		For example (BINARY):
#			FORCE_TYPE	PREC	UNSIGNED	40
#		or (ASCII):
#			FORCE_TYPE	PREC
#######################################################################
FORCING1	/home/disk/picea/mauger/WUS_CSC/DATA/colo_16d/historical/forcings/data_
			# Forcing file path and prefix, ending in "_"
GRID_DECIMAL	5	# Number of digits after decimal point in forcing file names
FORCE_FORMAT	BINARY	# BINARY or ASCII
FORCE_ENDIAN	LITTLE	# LITTLE (PC/Linux) or BIG (SUN)
N_TYPES		4	# Number of variables (columns)
FORCE_TYPE	PREC	UNSIGNED	40
FORCE_TYPE	TMAX	SIGNED	100
FORCE_TYPE	TMIN	SIGNED	100
FORCE_TYPE	WIND	SIGNED	100
FORCE_DT	24	# Forcing time step length (hours)
FORCEYEAR	1915	# Year of first forcing record
FORCEMONTH	01	# Month of first forcing record
FORCEDAY	01	# Day of first forcing record
FORCEHOUR	00	# Hour of first forcing record
WIND_H          10.0    # height of wind speed measurement (m)
MEASURE_H       2.0     # height of humidity measurement (m)
ALMA_INPUT	FALSE	# TRUE = ALMA-compliant input variable units; FALSE = standard VIC units

#######################################################################
# Land Surface Files and Parameters
#######################################################################
NLAYER		3	# number of soil layers
NODES		5	# number of soil thermal nodes 
SOIL            /home/disk/margaret/mauger/WUS_CSC/VIC_config/params/colo_16d/soil_param.0625.colo.10302009.vpd.07of12
BASEFLOW	ARNO	# ARNO = columns 5-8 are the standard VIC baseflow parameters; 
			# NIJSSEN2001 = columns 5-8 of soil file are baseflow parameters from Nijssen et al (2001)
ARC_SOIL        FALSE   # TRUE = read soil parameters from ARC/INFO ASCII grids
VEGPARAM        /home/disk/margaret/mauger/WUS_CSC/VIC_config/params/colo_16d/veg_param.0625.colo.10302009		# Veg parameter path/file
GLOBAL_LAI 	TRUE    # TRUE = read LAI from veg param file; FALSE = read LAI from veg library file
ROOT_ZONES      3	# Number of root zones (must match format of veg param file)
VEGLIB	        /home/disk/margaret/mauger/WUS_CSC/VIC_config/params/colo_16d/veglib.LDAS			# Veg library path/file
SNOW_BAND	5  /home/disk/margaret/mauger/WUS_CSC/VIC_config/params/colo_16d/snowbands.0625.colo.10302009	# Number of snow bands;
			# if number of snow bands > 1, you must insert the snow band path/file after the number
			# of bands (e.g. SNOW_BAND 5 my_path/my_snow_band_file)
COMPUTE_TREELINE  10	# TRUE = replace any overstory veg types with the default understory veg type
			# in all snow bands for which the average July Temperature <= 10 C;
			# if TRUE, you must specify the default understory veg type after it
			# (e.g. COMPUTE_TREELINE TRUE 11)

#######################################################################
# Output Files and Parameters
#######################################################################
RESULT_DIR	/home/disk/picea/mauger/WUS_CSC/DATA/colo_16d/SD_A1B_2040s_miroc_3.2/fluxes 
			# (with trailing "/")
OUT_STEP	0	# Output interval (hours); if 0, OUT_STEP = TIME_STEP
SKIPYEAR 	0	# Number of years of output to omit from the output files
COMPRESS	FALSE	# TRUE = compress input and output files when done
BINARY_OUTPUT	FALSE	# TRUE = binary output files
ALMA_OUTPUT  	FALSE	# TRUE = ALMA-compliant output variable units; FALSE = standard VIC units
PRT_HEADER	FALSE	# TRUE = insert a header at the beginning of each output file; FALSE = no header
PRT_SNOW_BAND	TRUE	# TRUE = write a "snowband" output file, containing band-specific values of snow variables

#######################################################################
#
# Output File Contents
#
# As of VIC 4.0.6, you can specify your output file names and contents
# in the global param file (see the README.txt file for more information).
#
# If you do not specify file names and contents in the global param
# file, VIC will produce the same set of output files that it has
# produced in earlier versions, namely "fluxes" and "snow" files, plus
# "fdepth" files if FROZEN_SOIL is TRUE and "snowband" files if
# PRT_SNOW_BAND is TRUE.  These files will have the same contents and
# format as in earlier versions.
#
# The OPTIMIZE and LDAS_OUTPUT options have been removed.  These
# output configurations can be selected with the proper set of
# instructions in the global param file.  (see the output.*.template
# files included in this distribution for more information.)
#
# If you do specify the file names and contents in the global param file,
# PRT_SNOW_BAND will have no effect.
#
# Format:
#
#   N_OUTFILES    <n_outfiles>
#
#   OUTFILE       <prefix>        <nvars>
#   OUTVAR        <varname>       [<format>        <type>  <multiplier>]
#   OUTVAR        <varname>       [<format>        <type>  <multiplier>]
#   OUTVAR        <varname>       [<format>        <type>  <multiplier>]
#
#   OUTFILE       <prefix>        <nvars>
#   OUTVAR        <varname>       [<format>        <type>  <multiplier>]
#   OUTVAR        <varname>       [<format>        <type>  <multiplier>]
#   OUTVAR        <varname>       [<format>        <type>  <multiplier>]
#
#
# where
#   <n_outfiles> = number of output files
#   <prefix>     = name of the output file, NOT including latitude
#                  and longitude
#   <nvars>      = number of variables in the output file
#   <varname>    = name of the variable (this must be one of the
#                  output variable names listed in vicNl_def.h.)
#   <format>     = (for ascii output files) fprintf format string,
#                  e.g.
#                    %.4f = floating point with 4 decimal places
#                    %.7e = scientific notation w/ 7 decimal places
#                    *    = use the default format for this variable
#
#   <format>, <type>, and <multiplier> are optional.  For a given
#   variable, you can specify either NONE of these, or ALL of
#   these.  If these are omitted, the default values will be used.
#
#   <type>       = (for binary output files) data type code.
#                  Must be one of:
#                    OUT_TYPE_DOUBLE = double-precision floating point
#                    OUT_TYPE_FLOAT  = single-precision floating point
#                    OUT_TYPE_INT    = integer
#                    OUT_TYPE_USINT  = unsigned short integer
#                    OUT_TYPE_SINT   = short integer
#                    OUT_TYPE_CHAR   = char
#                    *               = use the default type
#   <multiplier> = (for binary output files) factor to multiply
#                  the data by before writing, to increase precision.
#                    *    = use the default multiplier for this variable
#
#######################################################################
# If FROZEN_SOIL is TRUE, increase N_OUTFILES by 1
# If PRT_SNOW_BAND is TRUE, increase N_OUTFILES by 1
N_OUTFILES	1

OUTFILE         fluxes  19
OUTVAR          OUT_PREC        %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_AIR_TEMP    %.4f    OUT_TYPE_FLOAT  1
OUTVAR		OUT_TMAX	%.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_TMIN       %.4f    OUT_TYPE_FLOAT  1 
OUTVAR          OUT_LONGWAVE    %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_SHORTWAVE   %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_REL_HUMID   %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_VPD         %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_EVAP        %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_RUNOFF      %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_BASEFLOW    %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_SOIL_LIQ    %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_SWE         %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_SNOW_DEPTH  %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_POT_EVAP_NATVEG             %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_POT_EVAP_H2OSURF            %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_POT_EVAP_VEGNOCR    %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_POT_EVAP_TALL       %.4f    OUT_TYPE_FLOAT  1
OUTVAR          OUT_POT_EVAP_SHORT      %.4f    OUT_TYPE_FLOAT  1


